package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HROMHierarchyPurposeRefDTO]
 */
@Data
public class HROMHierarchyPurposeRefDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [OMHIERARCHYPURPOSEREFNAME]
     *
     */
    @JSONField(name = "omhierarchypurposerefname")
    @JsonProperty("omhierarchypurposerefname")
    private String omhierarchypurposerefname;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [OMHIERARCHYPURPOSEREFID]
     *
     */
    @JSONField(name = "omhierarchypurposerefid")
    @JsonProperty("omhierarchypurposerefid")
    private String omhierarchypurposerefid;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [OMHIERARCHYPURPOSEID]
     *
     */
    @JSONField(name = "omhierarchypurposeid")
    @JsonProperty("omhierarchypurposeid")
    private String omhierarchypurposeid;

    /**
     * 属性 [OMHIERARCHYCATID]
     *
     */
    @JSONField(name = "omhierarchycatid")
    @JsonProperty("omhierarchycatid")
    private String omhierarchycatid;


    /**
     * 设置 [OMHIERARCHYPURPOSEREFNAME]
     */
    public void setOmhierarchypurposerefname(String  omhierarchypurposerefname){
        this.omhierarchypurposerefname = omhierarchypurposerefname ;
        this.modify("omhierarchypurposerefname",omhierarchypurposerefname);
    }

    /**
     * 设置 [OMHIERARCHYPURPOSEID]
     */
    public void setOmhierarchypurposeid(String  omhierarchypurposeid){
        this.omhierarchypurposeid = omhierarchypurposeid ;
        this.modify("omhierarchypurposeid",omhierarchypurposeid);
    }

    /**
     * 设置 [OMHIERARCHYCATID]
     */
    public void setOmhierarchycatid(String  omhierarchycatid){
        this.omhierarchycatid = omhierarchycatid ;
        this.modify("omhierarchycatid",omhierarchycatid);
    }


}

